Skip to main content
GET
/
v1
/
master-wallets
/
{masterId}
/
settlement-rules
List master settlement rules
curl --request GET \
  --url https://api.xentfi.com/v1/master-wallets/{masterId}/settlement-rules \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "walletId": "<string>",
      "slippageTolerance": "<string>",
      "isActive": true,
      "source": {
        "blockchainId": "<string>",
        "assetIds": [
          "<string>"
        ],
        "minAmount": "<string>",
        "maxAmount": "<string>"
      },
      "destination": {
        "blockchainId": "<string>",
        "assetId": "<string>",
        "address": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

masterId
string
required

Query Parameters

isActive
boolean
offset
integer
default:0
limit
integer
default:10

Response

List of settlement rules

data
object[]
total
integer
hasMore
boolean